0

I am using yocto v3.21.0 i.e poky-2.4.3.
Trying to add QT5 to the yocto image.

I am following this link: Using yocto with qt5

I have added layer for qt5:

${TOPDIR}/../meta-qt5

I have to include meta-ruby layer, in bblayers.conf file :--

${TOPDIR}/../meta-openembedded/meta-ruby \

But meta-ruby layer is not preset in meta-openembedded.

Please suggest how to get meta-ruby layer ?

1 Answer 1

1

QT5 recipes shouldn't be in the meta-ruby layer. Take a look at meta-qt5. Clone that into your source directory and add it to your bblayer.conf. You'll have all the QT5 recipes available then.

2
  • I have added qt5 layer... I forget to mention this... I have modified my answer.. but the link which I am following used to tell to add meta-ruby layer.. But meta-ruby layer is not preset in meta-openembedded.. please suggest..
    – user6363
    Commented Mar 16, 2020 at 15:24
  • 1
    Did you checkout the correct hash for meta-openembedded? Make sure to execute git checkout -b tmp dca466c074c9a35bc0133e7e0d65cca0731e2acf in the meta-openembedded repo
    – hakskel
    Commented Mar 16, 2020 at 16:21

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .